import selectorAll_default from "../../../d3-selection/src/selectorAll.js";
import schedule_default, { get } from "./schedule.js";
import { Transition } from "./index.js";
function selectAll_default(i) {
	var a = this._name, o = this._id;
	typeof i != "function" && (i = selectorAll_default(i));
	for (var s = this._groups, c = s.length, l = [], u = [], d = 0; d < c; ++d) for (var f = s[d], p = f.length, m, h = 0; h < p; ++h) if (m = f[h]) {
		for (var g = i.call(m, m.__data__, h, f), _, v = get(m, o), y = 0, b = g.length; y < b; ++y) (_ = g[y]) && schedule_default(_, a, o, y, g, v);
		l.push(g), u.push(m);
	}
	return new Transition(l, u, a, o);
}
export { selectAll_default as default };
